Subject: Re: Topology

From: "Alessandro Mordacci (ERA)" <[email-masked]>
Date: Wed, 25 Aug 1999 11:25:46 +0200

Chip, I see your point, but the law is interpreted extensively. I think that as soon as a MG is not a CPE but it is owned by an operator and it is used to provide a service that resembles a public telephone service it must be able to intercept calls. This make me think that interception will be a common requirement for a lot of MGs. Now, if we implement this in a proprietary way, how do we have interoperation between different brands of MG and MGC ? Optionality is ok, because when things are implemented they are implemented in the same way.

Using the management interface will complicate the implementation of MG and MGC a lot if it should be used to modify the topology of a context. For example you will need to synchronize the messages in the two protocols during the call. We could use the management interface to do other stuff. I do not think that megaco will have to provide a complete model of interception, just some elements that could be difficult to implement in another way. I believe that the topology is one of them.

There will be a lot of fan with end-to-end VoIP, but I think this is not relevant to megaco.

Alessandro

> -----Original Message-----
> From: Chip Sharp [SMTP:[email-masked]]
> Sent: Wednesday, August 25, 1999 7:59 AM
> To:   [email-masked]
> Subject:      Re: Topology
>
> A wiretap capability can be builtinto the MG without megaco.  All megaco
> allows you to do is control it from an MGC (via megaco).  I could just as
> easily set this up via a management interface.
>
> VoIP-based networks were not remotely considered when CALEA was
> written.  If  megaco seems to be a problem, end-to-end VoIP calls (and
> SIP-based networks) will be even more fun.  In that case, where do you
> apply the wiretap.
>
> Chip
>
>